import App from './App'


import uView from './uni_modules/uview-ui'
// 载入uView库
Vue.use(uView)


import common from './static/js/common.js';
Vue.prototype.$dialog = common;

// #ifndef VUE3
import Vue from 'vue'
import './uni.promisify.adaptor'
Vue.config.productionTip = false
App.mpType = 'app'
const app = new Vue({
  ...App
})
app.$mount()
// #endif

// #ifdef VUE3
import { createSSRApp } from 'vue'
export function createApp() {
  const app = createSSRApp(App)
  return {
    app
  }
}
// #endif